org.apache.uima.cas

## Enum TypeClass

- java.lang.Object
- - java.lang.Enum<TypeClass>
  - - org.apache.uima.cas.TypeClass

- All Implemented Interfaces:
    Serializable, Comparable<TypeClass>

      public enum TypeClass
      extends Enum<TypeClass>

  This class may not be used. It must contain the same named constants in LowLevelCAS, in the same order, so that TypeClass.values()[ LowLevelCAS.TYPE_CLASS_XYZ ] returns TYPE_CLASS_XYZ. *

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TYPE_CLASS_BOOLEAN`
    `TYPE_CLASS_BOOLEANARRAY`
    `TYPE_CLASS_BYTE`
    `TYPE_CLASS_BYTEARRAY`
    `TYPE_CLASS_DOUBLE`
    `TYPE_CLASS_DOUBLEARRAY`
    `TYPE_CLASS_FLOAT`
    `TYPE_CLASS_FLOATARRAY`
    `TYPE_CLASS_FS`
    `TYPE_CLASS_FSARRAY`
    `TYPE_CLASS_INT`
    `TYPE_CLASS_INTARRAY`
    `TYPE_CLASS_INVALID`
    `TYPE_CLASS_JAVAOBJECT`
    `TYPE_CLASS_JAVAOBJECTARRAY`
    `TYPE_CLASS_LONG`
    `TYPE_CLASS_LONGARRAY`
    `TYPE_CLASS_SHORT`
    `TYPE_CLASS_SHORTARRAY`
    `TYPE_CLASS_STRING`
    `TYPE_CLASS_STRINGARRAY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TypeClass` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TypeClass[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TYPE_CLASS_INVALID

          public static final TypeClass TYPE_CLASS_INVALID

    - #### TYPE_CLASS_INT

          public static final TypeClass TYPE_CLASS_INT

    - #### TYPE_CLASS_FLOAT

          public static final TypeClass TYPE_CLASS_FLOAT

    - #### TYPE_CLASS_STRING

          public static final TypeClass TYPE_CLASS_STRING

    - #### TYPE_CLASS_INTARRAY

          public static final TypeClass TYPE_CLASS_INTARRAY

    - #### TYPE_CLASS_FLOATARRAY

          public static final TypeClass TYPE_CLASS_FLOATARRAY

    - #### TYPE_CLASS_STRINGARRAY

          public static final TypeClass TYPE_CLASS_STRINGARRAY

    - #### TYPE_CLASS_FSARRAY

          public static final TypeClass TYPE_CLASS_FSARRAY

    - #### TYPE_CLASS_FS

          public static final TypeClass TYPE_CLASS_FS

    - #### TYPE_CLASS_BOOLEAN

          public static final TypeClass TYPE_CLASS_BOOLEAN

    - #### TYPE_CLASS_BYTE

          public static final TypeClass TYPE_CLASS_BYTE

    - #### TYPE_CLASS_SHORT

          public static final TypeClass TYPE_CLASS_SHORT

    - #### TYPE_CLASS_LONG

          public static final TypeClass TYPE_CLASS_LONG

    - #### TYPE_CLASS_DOUBLE

          public static final TypeClass TYPE_CLASS_DOUBLE

    - #### TYPE_CLASS_BOOLEANARRAY

          public static final TypeClass TYPE_CLASS_BOOLEANARRAY

    - #### TYPE_CLASS_BYTEARRAY

          public static final TypeClass TYPE_CLASS_BYTEARRAY

    - #### TYPE_CLASS_SHORTARRAY

          public static final TypeClass TYPE_CLASS_SHORTARRAY

    - #### TYPE_CLASS_LONGARRAY

          public static final TypeClass TYPE_CLASS_LONGARRAY

    - #### TYPE_CLASS_DOUBLEARRAY

          public static final TypeClass TYPE_CLASS_DOUBLEARRAY

    - #### TYPE_CLASS_JAVAOBJECT

          public static final TypeClass TYPE_CLASS_JAVAOBJECT

    - #### TYPE_CLASS_JAVAOBJECTARRAY

          public static final TypeClass TYPE_CLASS_JAVAOBJECTARRAY

  - ### Method Detail

    - #### values

          public static TypeClass[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TypeClass c : TypeClass.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TypeClass valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.